<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11) on Thu Mar 11 09:05:43 CET 2021 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-03-11">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li>Module</li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="at.hakimst/at/hakimst/package-tree.html">at.hakimst</a>, </li>
<li><a href="at.hakimst/at/hakimst/controller/package-tree.html">at.hakimst.controller</a>, </li>
<li><a href="at.hakimst/at/hakimst/db/package-tree.html">at.hakimst.db</a>, </li>
<li><a href="at.hakimst/at/hakimst/model/package-tree.html">at.hakimst.model</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">javafx.application.Application
<ul>
<li class="circle">at.hakimst.<a href="at.hakimst/at/hakimst/App.html" title="class in at.hakimst"><span class="typeNameLink">App</span></a></li>
</ul>
</li>
<li class="circle">at.hakimst.model.<a href="at.hakimst/at/hakimst/model/ClassRoom.html" title="class in at.hakimst.model"><span class="typeNameLink">ClassRoom</span></a></li>
<li class="circle">at.hakimst.db.<a href="at.hakimst/at/hakimst/db/ClassRoomDao.html" title="class in at.hakimst.db"><span class="typeNameLink">ClassRoomDao</span></a> (implements at.hakimst.db.<a href="at.hakimst/at/hakimst/db/IDao.html" title="interface in at.hakimst.db">IDao</a>&lt;E&gt;)</li>
<li class="circle">at.hakimst.db.<a href="at.hakimst/at/hakimst/db/DBManager.html" title="class in at.hakimst.db"><span class="typeNameLink">DBManager</span></a></li>
<li class="circle">at.hakimst.controller.<a href="at.hakimst/at/hakimst/controller/PrimaryController.html" title="class in at.hakimst.controller"><span class="typeNameLink">PrimaryController</span></a></li>
<li class="circle">at.hakimst.controller.<a href="at.hakimst/at/hakimst/controller/SecondaryController.html" title="class in at.hakimst.controller"><span class="typeNameLink">SecondaryController</span></a></li>
<li class="circle">at.hakimst.model.<a href="at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model"><span class="typeNameLink">Student</span></a></li>
<li class="circle">at.hakimst.db.<a href="at.hakimst/at/hakimst/db/StudentDao.html" title="class in at.hakimst.db"><span class="typeNameLink">StudentDao</span></a> (implements at.hakimst.db.<a href="at.hakimst/at/hakimst/db/IDao.html" title="interface in at.hakimst.db">IDao</a>&lt;E&gt;)</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">at.hakimst.db.<a href="at.hakimst/at/hakimst/db/IDao.html" title="interface in at.hakimst.db"><span class="typeNameLink">IDao</span></a>&lt;E&gt;</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li>Module</li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
